summaryrefslogtreecommitdiff
path: root/dev-python/python-ptrace/python-ptrace-9999.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-05 13:43:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-05 13:43:43 +0000
commit79a07c40c6574f5548de684884bc4dfa8a18d46f (patch)
treee5aac2e265a3b6d48e4b4cd3b4ad501c5e02005c /dev-python/python-ptrace/python-ptrace-9999.ebuild
parentc5057a2c3d7be3c010fd890289ac3a0860df7887 (diff)
downloadbaldeagleos-repo-79a07c40c6574f5548de684884bc4dfa8a18d46f.tar.gz
baldeagleos-repo-79a07c40c6574f5548de684884bc4dfa8a18d46f.tar.xz
baldeagleos-repo-79a07c40c6574f5548de684884bc4dfa8a18d46f.zip
Adding metadata
Diffstat (limited to 'dev-python/python-ptrace/python-ptrace-9999.ebuild')
-rw-r--r--dev-python/python-ptrace/python-ptrace-9999.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/python-ptrace/python-ptrace-9999.ebuild b/dev-python/python-ptrace/python-ptrace-9999.ebuild
new file mode 100644
index 000000000000..8e7dd4323cf7
--- /dev/null
+++ b/dev-python/python-ptrace/python-ptrace-9999.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python binding of ptrace library"
+HOMEPAGE="https://github.com/vstinner/python-ptrace"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vstinner/python-ptrace"
+else
+ SRC_URI="https://github.com/vstinner/python-ptrace/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_test() {
+ ./runtests.py --tests tests/ || die
+}